Heads up During early access these endpoints are served through MCPconnect your agent in two minutes. Direct REST calls are available on the Unlimited plan: email us.

All statements

Income statement, balance sheet, and cash flow in one request.

GET /v1/financials/{ticker} free

Parameters

NameTypeReqDescription
tickerpathyesTicker symbol. See format guide.
frequencyenumnoquarterly · yearly. Default quarterly.
limitintnoMost recent periods. Default 8, max 200. Pass 200 to get the full history available for the ticker.

Example

curl -H "X-API-Key: rk_YOUR_KEY" \
  "https://api.rockmoon.ai/v1/financials/AAPL?frequency=quarterly&limit=2"
Response 200
{
  "ticker": "AAPL",
  "market": "US",
  "accounting_standard": "USGAAP",
  "currency": "USD",
  "frequency": "quarterly",
  "income": [
    { "period": "2025Q4",
      "report_date": "2025-12-27",
      "revenue": 143756000000,
      "cost_of_revenue": 74525000000,
      "gross_profit": 69231000000,
      "research_and_development": 10887000000,
      "selling_and_marketing_expenses": 5397000000,
      "general_and_administrative_expenses": 2095000000,
      "sga": 7492000000,
      "operating_expenses": 18379000000,
      "cost_and_expenses": 92904000000,
      "operating_income": 50852000000,
      "ebit": 50852000000,
      "ebitda": 54066000000,
      "depreciation_and_amortization": 3214000000,
      "interest_expense": null,
      "interest_income": null,
      "net_interest_income": null,
      "non_operating_income_excluding_interest": 150000000,
      "total_other_income_expense_net": 150000000,
      "income_before_tax": 51002000000,
      "tax_provision": 8905000000,
      "net_income_from_continuing_ops": 42097000000,
      "net_income_from_discontinued_ops": null,
      "minority_interest": null,
      "net_income": 42097000000,
      "eps": 2.85,
      "eps_diluted": 2.84,
      "weighted_average_shares": 14748158000,
      "weighted_average_shares_diluted": 14810356000 }
  ],
  "balance_sheet": [
    { "period": "2025Q4",
      "report_date": "2025-12-27",
      "cash_and_equivalents": 45317000000,
      "short_term_investments": 21590000000,
      "accounts_receivables": 39921000000,
      "net_receivables": 70320000000,
      "inventory": 5875000000,
      "prepaids": null,
      "total_current_assets": 158104000000,
      "ppe": 50159000000,
      "long_term_investments": 77888000000,
      "goodwill": null,
      "intangible_assets": null,
      "operating_lease_rou": null,
      "non_current_assets_total": null,
      "total_assets": 379297000000,
      "accounts_payable": 70587000000,
      "accrued_expenses": null,
      "deferred_revenue": 9413000000,
      "short_term_debt": 13824000000,
      "tax_payables": null,
      "total_current_liabilities": 162367000000,
      "long_term_debt": 76685000000,
      "capital_lease_obligations": null,
      "non_current_liabilities_total": null,
      "total_liabilities": 291107000000,
      "common_stock": null,
      "preferred_stock": null,
      "additional_paid_in_capital": null,
      "retained_earnings": -2177000000,
      "accumulated_other_comprehensive_income": -4854000000,
      "treasury_stock": null,
      "minority_interest_bs": null,
      "total_equity": 88190000000,
      "shares_outstanding": 14702703000 }
  ],
  "cash_flow": [
    { "period": "2025Q4",
      "report_date": "2025-12-27",
      "operating_cash_flow": 53925000000,
      "depreciation": 3214000000,
      "deferred_income_tax": null,
      "stock_based_compensation": 3594000000,
      "change_in_working_capital": 23995000000,
      "investing_cash_flow": -4886000000,
      "capital_expenditure": 2373000000,
      "acquisitions_net": null,
      "purchases_of_investments": 12693000000,
      "sales_maturities_of_investments": 10334000000,
      "financing_cash_flow": -39656000000,
      "common_stock_issuance": null,
      "share_buyback": 24701000000,
      "common_dividends_paid": 3921000000,
      "preferred_dividends_paid": null,
      "dividends_paid": 3921000000,
      "short_term_net_debt_issuance": -5910000000,
      "long_term_net_debt_issuance": null,
      "net_debt_issuance": -5910000000,
      "interest_paid": null,
      "income_taxes_paid": 3434000000,
      "effect_of_exchange_rate_changes": null,
      "change_in_cash": 9383000000,
      "begin_period_cash_flow": null,
      "end_period_cash_flow": null,
      "free_cash_flow": 51552000000 }
  ],
  "trace_id": "3a62d77e8f15445885482f4cd16f33bc"
}
Errors
HTTPCodeCause
404ticker_not_foundTicker not in coverage.
429rate_limit_exceededRate limit hit. Honor Retry-After.